Apache JMeter

## org.apache.jmeter.protocol.jms.sampler
Interface QueueExecutor

All Known Implementing Classes:
  FixedQueueExecutor, TemporaryQueueExecutor

    public interface QueueExecutor

Executor for (pseudo) synchronous communication.
Created on: October 28, 2004

Version:
  $Revision: 674365 $

Method Summary
`javax.jms.Message` `sendAndReceive(javax.jms.Message request)` Sends and receives a message.

Method Detail

### sendAndReceive

    javax.jms.Message sendAndReceive(javax.jms.Message request)
                                     throws javax.jms.JMSException

  Sends and receives a message.

  Parameters:
    `request` - the message to send
  Returns:
    the received message or `null`
  Throws:
    `javax.jms.JMSException` - in case of an exception from the messaging system

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.